[EP-tech] Re: upgrade to 3.3.10 broke set_language

Thomas Haines HainesT at cardiff.ac.uk
Wed Nov 21 12:20:46 GMT 2012


Hello there,

   I am having similar problems with our repository - we are looking into a welsh translation option and adding that to our existing setup. 

    I am also getting the    " Error. $screen->render should be sub-classed for EPrints::Plugin::Screen::SetLang=HASH(0xbba040cc). "

    As we have done a fair amount of customization to our templates, can anyone please clarify what exactly has changed so that I can integrate this? 

    is the url for calling set_lang still the same? e.g. 

 http://<repository>/cgi/set_lang?lang=en&referrer=http://<repository>

   thanks,

Tom Haines
Electronic Information Resources Developer
Library Systems Team
INSRV
Cardiff University 

hainest at cf.ac.uk
x70435


-----eprints-tech-bounces at ecs.soton.ac.uk wrote: -----
To: eprints-tech at ecs.soton.ac.uk
From: shahab bohlooli 
Sent by: eprints-tech-bounces at ecs.soton.ac.uk
Date: 07/09/2012 14:06
Subject: [EP-tech] Re: upgrade to 3.3.10 broke set_language

Dear Radoslaw Moszczynski;
The wiki which you are referring is old. so when upgrading from older versions of Eprints (ex 3.2.X to 3.3.X) you should update default template of your repository to reflect  the changes which was done to language plugin. The proper code  resides  in  lib\defaultcfg\lang\en\templates\ directory of  Eprints installation folder
Hope this could help.

Bohlooli,


 

On Sun, Aug 19, 2012 at 7:39 PM, Radoslaw Moszczynski <r.moszczynski at uw.edu.pl> wrote:
Hi,

After a recent upgrade to Eprints 3.3.10, the set_language script used to change our
site's language stopped working. When invoked via a URL similar to this one:

   http://<library>/cgi/set_lang?langid=<language ID>

it throws the following error:

   Error. $screen->render should be sub-classed for EPrints::Plugin::Screen::SetLang=HASH(0xbba040cc).

(The hex value in parentheses is variable).


The script was set up according to the instructions here:
http://wiki.eprints.org/w/Translation. We are currently on Ubuntu 12.04,
Apache 2.2.22, and Perl 5.14.2.

Any help with debugging this issue will be very appreciated. I'll be
happy to provide more information about our setup if needed.


Best regards-
 -Radoslaw Moszczynski
*** Options: http://mailman.ecs.soton.ac.uk/mailman/listinfo/eprints-tech
*** Archive: http://www.eprints.org/tech.php/
*** EPrints community wiki: http://wiki.eprints.org/

*** Options: http://mailman.ecs.soton.ac.uk/mailman/listinfo/eprints-tech
*** Archive: http://www.eprints.org/tech.php/
*** EPrints community wiki: http://wiki.eprints.org/
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://mailman.ecs.soton.ac.uk/pipermail/eprints-tech/attachments/20121121/5630ec18/attachment.html 


More information about the Eprints-tech mailing list